#
# spec file for package cinema
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cinema
Version:        1.1.2
Release:        1.26
Summary:        A video player for local files
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Video/Players
URL:            https://artemanufrij.github.io
Source:         https://github.com/artemanufrij/playmyvideos/archive/%{version}.tar.gz#/playmyvideos-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gettext-runtime >= 0.19.7
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(granite) >= 5.1.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(sqlite3)
Recommends:     %{name}-lang

%description
A video player for watching local video files.

%lang_package

%prep
%setup -q -n playmyvideos-%{version}

cp --no-preserve='mode' debian/copyright COPYING

%build
%meson
%meson_build

%install
%meson_install
%find_lang com.github.artemanufrij.playmyvideos %{name}.lang
%fdupes %{buildroot}/%{_datadir}

%files
%license COPYING
%doc README.md
%{_bindir}/com.github.artemanufrij.playmyvideos
%{_datadir}/applications/com.github.artemanufrij.playmyvideos.desktop
%{_datadir}/glib-2.0/schemas/com.github.artemanufrij.playmyvideos.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.artemanufrij.playmyvideos.??g
%{_datadir}/metainfo/com.github.artemanufrij.playmyvideos.appdata.xml

%files lang -f %{name}.lang

%changelog
* Mon Nov 19 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.2:
  * fixed possible chrash on smb://
  * simplified cursor handling
  * tavis
  * fixed warnings and and video height
- Build with granite >= 5.1.0
* Mon Oct 22 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.1:
  * changed id inside appdata
  * fixed restore window size
  * fixed warnings for appdata
  * changed appdata fix #29
  * Update README.md
  * Update com.github.artemanufrij.playmyvideos.appdata.xml.in
* Wed Aug  1 2018 avvissu@yandex.by
- Update to 1.1.0:
  * Update appdata
- Switch to metainfo from appdata
* Tue Jun 26 2018 avvissu@yandex.by
- Remove obsolete macros
* Sun Jun 10 2018 jengelh@inai.de
- Fix broken sentence in description, and update summary.
* Sat Apr 14 2018 avvissu@yandex.by
- Update to 1.0.0:
  * Update README.md
  * remove unused cmakelists.txt file
  * updated de.po
  * switch to meson
* Sat Apr  7 2018 avvissu@yandex.by
- Update to 0.3.5:
  * simplified actions
  * added oars
  * small code style fixes
  * simlified some file checks
  * Add Russian language
  * Update com.github.artemanufrij.playmyvideos.appdata.xml
  * fix cover fetching
  * code style in preferences
  * double click on box for starting playing first video
* Sat Mar 17 2018 avvissu@yandex.by
- Update to 0.3.3:
  * Merge pull request #20 from GitHaarek/patch-2
  * Merge pull request #19 from GitHaarek/patch-1
* Fri Mar  9 2018 avvissu@yandex.by
- Update to 0.3.2:
  * default-decoration
  * desktop actions
  * changed homepage
  * add missing separator
  * Changed Title "Play My Videos" -> Cinema
  * appdata
  * updated Screenshots
  * don't load last played video if its no more exists
  * code style
  * clear covers from cache if box was deleted
  * appdata homepage
  * Merge branch 'master' of github.com:artemanufrij/playmyvideos
  * regard release year for cover fetching
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
